[ANN] Instant Rails 1.5 preview1


#1

Instant Rails 1.5 upgrades to:

  • Rails 1.2.2
  • The O.-Click Installer 1.8.5-24
  • Mongrel 1.0.1

You can download this release from:

http://rubyforge.org/frs/?group_id=904

and you can find upgrade instructions here:

http://instantrails.rubyforge.org/wiki/wiki.pl?How_To_Upgrade

Known Issues:

  • fxri (off of the help menu) is not working

#2

Monday, February 19, 2007, 7:14:49 AM, you wrote:

Instant Rails 1.5 upgrades to:

  • Rails 1.2.2
  • The O.-Click Installer 1.8.5-24
  • Mongrel 1.0.1

Does the included Apache now support HTTPS? It seems to be impossible to
find a mod_ssl-Lib for it - and I don’t own a compiler to build it
myself…

Thanks,

hli


#3

On 2/19/07, Hendrik L. removed_email_address@domain.invalid wrote:

myself…
Sorry, no. Instant Rails 2 will be based on XAMPP (which uses Apache
2), and this will be a better fit. But, unfortunately, that probably
won’t be out until the end of the year (or late summer at the
earliest).

Curt


#4

Ed Howland wrote:

Isn’t the goal of IR to install Ruby on Rails on Windows and get
running quickly? But all the extra support for running servers and a
full blown interface to MySQL are adding to the bloat of the project
and many people may not need all that.

What do you think?

Ed

I don’t mind the download though I guess I should feel a bit guilty. I
wonder if it’s possible to layer the downloads. I imagine it would be
much more work for Curt, though, but here’s a thought. It could be a
case where you can download an extra ZIP file and unzip it in the root
directory of InstantRails to get the remaining stuff. This would mean
that some directories have files added to them when you unzip and there
may be a need to allow the unzipper (sp?) to overwrite certain files.

But that said, its size is in line with things like XAMPP, is it not?
Cheers
Mohit.


#5

On 2/19/07, Curt H. removed_email_address@domain.invalid wrote:

Does the included Apache now support HTTPS? It seems to be impossible to
find a mod_ssl-Lib for it - and I don’t own a compiler to build it
myself…

This is great Curt. But a 54MB d/l??? Can I make a suggestion that
would do many things?
Why not break IR into modules? The base install should have Ruby,
Rails, Mongrel and Sqlite and the IR application only.

Add in modules for Apache, MySQL, Php(phpMyAdmin) and various tools
(Scite, etc.)

IR is vary popular and new releases are taxing RubyForge’s servers. It
can take 30 minutes on DSL to d/l.

Isn’t the goal of IR to install Ruby on Rails on Windows and get
running quickly? But all the extra support for running servers and a
full blown interface to MySQL are adding to the bloat of the project
and many people may not need all that.

What do you think?

Ed

Ed Howland


#6

you could even ship it with light weight
http://sqlitebrowser.sourceforge.net/ so people can create their
sqlite database and tables with a nice and simple GUI (instead of
php+mysql+apache+phpmyadmin).


#7

On 2/22/07, Patrick A. removed_email_address@domain.invalid wrote:

you could even ship it with light weight
http://sqlitebrowser.sourceforge.net/ so people can create their
sqlite database and tables with a nice and simple GUI (instead of
php+mysql+apache+phpmyadmin).

What might make sense though (for IR 2) is a have a fully functional
core that includes only lightweight components (like SQLite for the
database) and omits Apache and MySQL. Then optional add-on download
for those components.

Thanks for the link… I was not aware of that. I’ll check it out!

Curt


#8

On 2/22/07, Ed Howland removed_email_address@domain.invalid wrote:

  • Mongrel 1.0.1

What do you think?

Ed

I’d rather not break it up because I prefer to retain extreme setup
simplicity.

What might make sense though (for IR 2) is a have a fully functional
core that includes only lightweight components (like SQLite for the
database) and omits Apache and MySQL. Then optional add-on download
for those components.

Curt


#9

Curt H. wrote:

find a mod_ssl-Lib for it - and I don’t own a compiler to build it
can take 30 minutes on DSL to d/l.
I’d rather not break it up because I prefer to retain extreme setup simplicity.

What might make sense though (for IR 2) is a have a fully functional
core that includes only lightweight components (like SQLite for the
database) and omits Apache and MySQL. Then optional add-on download
for those components.

I agree with Ed, even if it means having a ‘lite’ version and a full
version. I don’t use InstantRails because it clashes with my existing
Apache and MySQL.

regards

Justin F.


#10

On 2/23/07, Justin F. removed_email_address@domain.invalid wrote:

  • Mongrel 1.0.1

Ed
Apache and MySQL.

regards

Justin F.

I think we’ll definitely do this… too many good reasons to ignore.

Thanks,
Curt


#11

Curt H. wrote:

Ed
I’d rather not break it up because I prefer to retain extreme setup simplicity.

What might make sense though (for IR 2) is a have a fully functional
core that includes only lightweight components (like SQLite for the
database) and omits Apache and MySQL. Then optional add-on download
for those components.

I agree with Ed, even if it means having a ‘lite’ version and a full
version. I don’t use InstantRails because it clashes with my existing
Apache and MySQL.

regards

Justin F.

I think we’ll definitely do this… too many good reasons to ignore.

That’s great! The people I work with are skilled Java users (Spring
MVC/Spring core/Hibernate), developing on Windows, with Eclipse-based
tools. A minimal one-click Rails install would be perfect for them
(especially if it’s only a few more clicks to install RadRails and get
it working with the stripped-down IR).

Looking forward to it.

Justin F.


#12

Curt:

+1 on sqlite… I use it in all my projects and tutorials because it
doesn’t
even require that you create a database… when you run your first
migration
it will create the db for you.


#13

On 2/23/07, Curt H. removed_email_address@domain.invalid wrote:

Thanks for the link… I was not aware of that. I’ll check it out!

this one seems more active http://www.assembla.com/space/sqliteman


#14

You know what we do? Repackage Curt’s One click but only after we
install
Rails, Mongrel, and the other gems we need. I wonder if the answer is
to
just include Rails inside of the One Click Installer.


#15

On 3/17/07, Patrick A. removed_email_address@domain.invalid wrote:

On 2/23/07, Curt H. removed_email_address@domain.invalid wrote:

Thanks for the link… I was not aware of that. I’ll check it out!

this one seems more active http://www.assembla.com/space/sqliteman

Thanks, that looks really nice… I’ll have to give it a try.

Curt